# -*- rpm-spec -*-
# $Id: kernel-source-net_mod,v 1.9 2003/11/03 08:17:00 ed Exp $
##

%define module_name	net_mod
%define module_version	1.1.4
%define module_release	B1

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: alt1.b2

Summary: Linux %module_name module sources
License: GPL
Group: Development/Kernel
Url: http://sourceforge.net/projects/netmod/
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: %module_name-%{module_version}%module_release.tgz

Patch0:  net_mod-1.1.3-build-alt.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
%module_name module sources for Linux kernel

%prep

%__rm -rf %module_name-%module_version-alt
%__tar -zxf %SOURCE0
%__mv %module_name-%module_version%module_release %module_name-%module_version%module_release-alt
pushd %module_name-%module_version%module_release-alt
%patch0 -p0
popd
%__tar -c %module_name-%module_version%module_release-alt | bzip2 -cz > \
    %module_name-%module_version%module_release-alt.tar.bz2

%install
%__mkdir_p %kernel_srcdir
%__install -m644 %module_name-%module_version%module_release-alt.tar.bz2 %kernel_srcdir

%files
%kernel_src/*

%changelog
* Thu Oct 30 2003 Ed V. Bartosh <ed@altlinux.ru> 1.1.4-alt1.b2
- Change packager to ed@altlinux.ru

* Wed Sep  3 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.4-alt1.b1
- Updated to 1.1.4B1

* Wed Aug  6 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt4
- net_mod-1.1.3-build-alt.patch patch changed (include smplock.h only for SMP version)

* Mon Jul 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt3
- 'unresolved symbol' error in UP module fixed

* Fri Jun  6 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt2
- tarball is patched and repacked now

* Tue May 20 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt1
- Initial release


